CREATE TABLE hz_party_site_uses (
    PARTY_SITE_USE_ID         NUMBER(18, 0) ,
    BEGIN_DATE                DATE          ,
    COMMENTS                  VARCHAR2(4000),
    END_DATE                  DATE          ,
    PARTY_SITE_ID             NUMBER(18, 0)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SITE_USE_TYPE             VARCHAR2(120)     NOT NULL,
    PRIMARY_PER_TYPE          VARCHAR2(4)   ,
    STATUS                    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY_MODULE         VARCHAR2(120) ,
    CONFLICT_ID               NUMBER(18, 0)     NOT NULL,
    USER_LAST_UPDATE_DATE     TIMESTAMP(6)  ,
    ATTRIBUTE_CATEGORY        VARCHAR2(120) ,
    ATTRIBUTE1                VARCHAR2(600) ,
    ATTRIBUTE2                VARCHAR2(600) ,
    ATTRIBUTE3                VARCHAR2(600) ,
    ATTRIBUTE4                VARCHAR2(600) ,
    ATTRIBUTE5                VARCHAR2(600) ,
    ATTRIBUTE6                VARCHAR2(600) ,
    ATTRIBUTE7                VARCHAR2(600) ,
    ATTRIBUTE8                VARCHAR2(600) ,
    ATTRIBUTE9                VARCHAR2(600) ,
    ATTRIBUTE10               VARCHAR2(600) ,
    ATTRIBUTE11               VARCHAR2(600) ,
    ATTRIBUTE12               VARCHAR2(600) ,
    ATTRIBUTE13               VARCHAR2(600) ,
    ATTRIBUTE14               VARCHAR2(600) ,
    ATTRIBUTE15               VARCHAR2(600) ,
    ATTRIBUTE16               VARCHAR2(600) ,
    ATTRIBUTE17               VARCHAR2(600) ,
    ATTRIBUTE18               VARCHAR2(600) ,
    ATTRIBUTE19               VARCHAR2(600) ,
    ATTRIBUTE20               VARCHAR2(600) ,
    ATTRIBUTE21               VARCHAR2(600) ,
    ATTRIBUTE22               VARCHAR2(600) ,
    ATTRIBUTE23               VARCHAR2(600) ,
    ATTRIBUTE24               VARCHAR2(600) ,
    ATTRIBUTE25               VARCHAR2(600) ,
    ATTRIBUTE26               VARCHAR2(600) ,
    ATTRIBUTE27               VARCHAR2(600) ,
    ATTRIBUTE28               VARCHAR2(600) ,
    ATTRIBUTE29               VARCHAR2(600) ,
    ATTRIBUTE30               VARCHAR2(600) ,
    CPDRF_VER_SOR             NUMBER(9, 0)  ,
    CPDRF_VER_PILLAR          NUMBER(9, 0)  ,
    CPDRF_LAST_UPD            VARCHAR2(60)  ,
    PARTY_SITE_USE_ID         NUMBER(18, 0) ,
    BEGIN_DATE                DATE          ,
    COMMENTS                  VARCHAR2(4000),
    END_DATE                  DATE          ,
    PARTY_SITE_ID             NUMBER(18, 0)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SITE_USE_TYPE             VARCHAR2(120)     NOT NULL,
    PRIMARY_PER_TYPE          VARCHAR2(4)   ,
    STATUS                    VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY_MODULE         VARCHAR2(120) ,
    CONFLICT_ID               NUMBER(18, 0)     NOT NULL,
    USER_LAST_UPDATE_DATE     TIMESTAMP(6)  ,
    ATTRIBUTE_CATEGORY        VARCHAR2(120) ,
    ATTRIBUTE1                VARCHAR2(600) ,
    ATTRIBUTE2                VARCHAR2(600) ,
    ATTRIBUTE3                VARCHAR2(600) ,
    ATTRIBUTE4                VARCHAR2(600) ,
    ATTRIBUTE5                VARCHAR2(600) ,
    ATTRIBUTE6                VARCHAR2(600) ,
    ATTRIBUTE7                VARCHAR2(600) ,
    ATTRIBUTE8                VARCHAR2(600) ,
    ATTRIBUTE9                VARCHAR2(600) ,
    ATTRIBUTE10               VARCHAR2(600) ,
    ATTRIBUTE11               VARCHAR2(600) ,
    ATTRIBUTE12               VARCHAR2(600) ,
    ATTRIBUTE13               VARCHAR2(600) ,
    ATTRIBUTE14               VARCHAR2(600) ,
    ATTRIBUTE15               VARCHAR2(600) ,
    ATTRIBUTE16               VARCHAR2(600) ,
    ATTRIBUTE17               VARCHAR2(600) ,
    ATTRIBUTE18               VARCHAR2(600) ,
    ATTRIBUTE19               VARCHAR2(600) ,
    ATTRIBUTE20               VARCHAR2(600) ,
    ATTRIBUTE21               VARCHAR2(600) ,
    ATTRIBUTE22               VARCHAR2(600) ,
    ATTRIBUTE23               VARCHAR2(600) ,
    ATTRIBUTE24               VARCHAR2(600) ,
    ATTRIBUTE25               VARCHAR2(600) ,
    ATTRIBUTE26               VARCHAR2(600) ,
    ATTRIBUTE27               VARCHAR2(600) ,
    ATTRIBUTE28               VARCHAR2(600) ,
    ATTRIBUTE29               VARCHAR2(600) ,
    ATTRIBUTE30               VARCHAR2(600) ,
    CPDRF_VER_SOR             NUMBER(9, 0)  ,
    CPDRF_VER_PILLAR          NUMBER(9, 0)  ,
    CPDRF_LAST_UPD            VARCHAR2(60)  ,
    CONSTRAINT pk_hz_party_site_uses PRIMARY KEY (PARTY_SITE_USE_ID, PARTY_SITE_USE_ID)
);
